Bug 215502 - yum-changelog: timestamp out of range for platform time_t
yum-changelog: timestamp out of range for platform time_t
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-14 08:09 EST by Miroslav Suchý
Modified: 2008-01-08 09:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 09:34:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2006-11-14 08:09:30 EST
Description of problem:
I installed yum-changelog on RHEL5Beta. Whent I try it I'll get:
# yum --changelog install irqbalance
Loading "installonlyn" plugin
Loading "changelog" plugin
Loading "rhnplugin" plugin
Setting up Install Process
Setting up repositories
rhel-i386-server-5-beta   100% |=========================|  951 B    00:00
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package irqbalance.i386 1:1.13-6.el5 set to be updated
--> Running transaction check

Changes in packages about to be updated:

irqbalance - 1:1.13-6.el5.i386
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 143, in main
    (result, resultmsgs) = base.buildTransaction()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 442, in
buildTransaction
    self.plugins.run('postresolve', rescode=rescode, restring=restring)
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 153, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/changelog.py", line 99, in postresolve_hook
    show_changes(conduit, 'Changes in packages about to be updated:')
  File "/usr/lib/yum-plugins/changelog.py", line 61, in show_changes
    for line in changelog_delta(srpms[name][0], origpkgs[name]):
  File "/usr/lib/yum-plugins/changelog.py", line 35, in changelog_delta
    out.append("* %s %s\n%s\n" % (time.ctime(int(date)), author, message))
ValueError: timestamp out of range for platform time_t


Version-Release number of selected component (if applicable):
# rpm -q yum-changelog
yum-changelog-1.0-2.fc6
# rpm -q yum
yum-3.0-5.3


Additional info:
Variable time in /usr/lib/yum-plugins/changelog.py on line 35 has value: 11054988000
Comment 1 Panu Matilainen 2007-02-15 04:32:41 EST
> Variable time in /usr/lib/yum-plugins/changelog.py on line 35 has value:
> 11054988000

You mean variable "date", right? In that case it would seem that RHN server is
giving out invalid dates. Not that I'm intimately aware how the RHN-yum marriage
is done.
Comment 2 Seth Vidal 2007-12-06 23:28:44 EST
hey rhn guys? What's the word on this? Asking jbowes b/c he's the closest thing
I know of to an rhn-guy.
Comment 3 Miroslav Suchý 2008-01-08 09:34:48 EST
Year passed so I retested this and it now work. Although another bug appear (see
BZ 427987).

Note You need to log in before you can comment on or make changes to this bug.